Here are the most common issues experienced when trying to install and use our mobile app, StagesPower (Link: Android / iOS). 


Related: I can't find my power meter on the Stages Power app


No eligible devices for app install

StagesPower app for Android currently requires an operating system of Android 4.4 or better. To check for your firmware version, please follow these steps:

Settings > More > About device > Android Version

To check for updates, select Software update. Follow device instructions for update to see if your device is eligible to update to Android version 4.4 or newer.

Not a Bluetooth Compatible Device


The StagesPower app uses Bluetooth 4.0. When installed on older devices, it is not able to connect to the StagesPower meter via Bluetooth and may display a message that states "Not a Bluetooth Compatible Device" (though an older, incompatible version of Bluetooth is likely present on your device). On these devices, it is possible to use an ANT+ adapter where available to connect to the power meter, however it will not be possible to update the firmware when connected via ANT+.


For iOS devices, the implementation of Bluetooth 4.0 began with the iPhone 4S and the iPad 3.


Other problem?


For additional help, please open up a support ticket with Stages Cycling or Stages Cycling Europe or visit your nearest Stages Cycling dealer for assistance. Click here for Dealer Locator (Global) / Dealer Locator (Europe)



SC-E65.1